import { ApplicationRef } from '@angular/core';
import { Elements } from './util/dom-helpers';
import { IEnjoyHintOptions, ITutorialStep } from './lib.interfaces';
import * as i0 from "@angular/core";
export declare class EnjoyhintService {
    private readonly appRef;
    private readonly elements;
    private readonly originalOverflow;
    constructor(appRef: ApplicationRef, elements: Elements, originalOverflow: string);
    runTutorial(steps: ITutorialStep[], options?: IEnjoyHintOptions): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EnjoyhintService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EnjoyhintService>;
}
